package com.jojubanking.boot.module.system.convert.kstype;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.kstype.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.kstype.KsTypeDO;

/**
 * 科室类别 Convert
 *
 * @author admin
 */
@Mapper
public interface KsTypeConvert {

    KsTypeConvert INSTANCE = Mappers.getMapper(KsTypeConvert.class);

    KsTypeDO convert(KsTypeCreateReqVO bean);

    KsTypeDO convert(KsTypeUpdateReqVO bean);

    KsTypeRespVO convert(KsTypeDO bean);

    List<KsTypeRespVO> convertList(List<KsTypeDO> list);

    PageResult<KsTypeRespVO> convertPage(PageResult<KsTypeDO> page);

    List<KsTypeExcelVO> convertList02(List<KsTypeDO> list);

}
